package com.tenlionsoft.baselib.core.beans;

import androidx.annotation.NonNull;
import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;

/**
 * 作者: adam
 * 日期: 2021/10/28 - 9:14 上午
 * 邮箱: itgaojian@163.com
 * 描述:用户表
 */
@Entity(tableName = "db_user")
public class UserDatabaseBean {
    /**
     * id
     */
    @NonNull
    @PrimaryKey(autoGenerate = true)
    private int id;

    @ColumnInfo(name = "pinyin")
    private String pinYin;//名字首字的拼音
    @ColumnInfo(name = "departmentId")
    private String departmentId;
    @ColumnInfo(name = "departmentName")
    private String departmentName;
    @ColumnInfo(name = "loginType")
    private int loginType;
    @ColumnInfo(name = "userAvatar")
    private String userAvatar;
    @ColumnInfo(name = "userEmail")
    private String userEmail;
    @ColumnInfo(name = "userId")
    private String userId;
    @ColumnInfo(name = "userName")
    private String userName;
    @ColumnInfo(name = "userPhone")
    private String userPhone;
    @ColumnInfo(name = "userSort")
    private String userSort;
    @ColumnInfo(name = "userState")
    private int userState;
    @ColumnInfo(name = "userType")
    private int userType;
    @ColumnInfo(name = "userUsername")
    private String userUsername;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getPinYin() {
        return pinYin;
    }

    public void setPinYin(String pinYin) {
        this.pinYin = pinYin;
    }

    public String getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public int getLoginType() {
        return loginType;
    }

    public void setLoginType(int loginType) {
        this.loginType = loginType;
    }

    public String getUserAvatar() {
        return userAvatar;
    }

    public void setUserAvatar(String userAvatar) {
        this.userAvatar = userAvatar;
    }

    public String getUserEmail() {
        return userEmail;
    }

    public void setUserEmail(String userEmail) {
        this.userEmail = userEmail;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public String getUserSort() {
        return userSort;
    }

    public void setUserSort(String userSort) {
        this.userSort = userSort;
    }

    public int getUserState() {
        return userState;
    }

    public void setUserState(int userState) {
        this.userState = userState;
    }

    public int getUserType() {
        return userType;
    }

    public void setUserType(int userType) {
        this.userType = userType;
    }

    public String getUserUsername() {
        return userUsername;
    }

    public void setUserUsername(String userUsername) {
        this.userUsername = userUsername;
    }

}
